configuration: Release

image: Visual Studio 2019

cache: c:\Tools\vcpkg\installed\

environment:
  BASH: C:\msys64\usr\bin\bash
  CHERE_INVOKING: yes
  VCPKG_ROOT: c:\Tools\vcpkg

install:
- git submodule update --init --recursive
- mkdir build32
- mkdir build64

- choco install --timeout 600 -y imagemagick
- '%BASH% -l msys2\install.sh'
- refreshenv

- cd %VCPKG_ROOT%
- vcpkg install libpng:x64-windows-static libpng:x86-windows-static

build_script:
- set CTEST_OUTPUT_ON_FAILURE=1
- cd %APPVEYOR_BUILD_FOLDER%
- '%BASH% -lc "autoreconf -i"'

- set MSYSTEM=MINGW32
- '%BASH% -l msys2\build.sh buildmingw32'

- set MSYSTEM=UCRT64
- '%BASH% -l msys2\build.sh builducrt64'

- cd %APPVEYOR_BUILD_FOLDER%\build64
- cmake -DCMAKE_TOOLCHAIN_FILE=%VCPKG_ROOT%\scripts\buildsystems\vcpkg.cmake -A x64 -DVCPKG_TARGET_TRIPLET=x64-windows-static ..
- cmake --build . --config Release
- cmake --build . --config Release --target check

- cd %APPVEYOR_BUILD_FOLDER%\build32
- cmake -DCMAKE_TOOLCHAIN_FILE=%VCPKG_ROOT%\scripts\buildsystems\vcpkg.cmake -A Win32 -DVCPKG_TARGET_TRIPLET=x86-windows-static ..
- cmake --build . --config Release
- cmake --build . --config Release --target check

after_build:
- cd %APPVEYOR_BUILD_FOLDER%\build64
- del Release\test*
- del Release\imagetest*
- 7z a vdagent-win-x64.zip Release\*

- cd %APPVEYOR_BUILD_FOLDER%\build32
- del Release\test*
- del Release\imagetest*
- 7z a vdagent-win-x86.zip Release\*

artifacts:
- path: buildmingw32/spice-vdagent-x86-*.msi
  name: VdAgentWin-mingw32

- path: builducrt64/spice-vdagent-x64-*.msi
  name: VdAgentWin-ucrt64

- path: build64/vdagent-win-x64.zip
  name: VdAgentWin-x64

- path: build32/vdagent-win-x86.zip
  name: VdAgentWin-x86
